<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Utils\WssField\KursPlanung;

class WssFieldKursplanungFachbereich extends \Kufer\Web\KuferTools\Utils\WssField\WssFieldSelect
{
  public function getChangedInfo($columnValues, $changedDm, $changedFields): array
  {
    if (isset($columnValues['kursplanung']['fachb']) && !is_null($columnValues['kursplanung']['fachb']) && $columnValues['kursplanung']['fachb'] != '') {
      $dbwFachb = new \DBWorkDozFachbereich();
      $fachbereich = $dbwFachb->getFachbereichByKennz($columnValues['kursplanung']['fachb']);

      $changedFields[] = 'fachb_bvv';
      $changedFields[] = 'fachb_land';

      $changedDm->setValue2VarEx('fachb_bvv', $fachbereich->kennz_bvv, 'kursplanung');
      $changedDm->setValue2VarEx('fachb_land', $fachbereich->kennz_land, 'kursplanung');
    }

    return parent::getChangedInfo($columnValues, $changedDm, $changedFields);
  }
}